<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\TermineUebersicht;

class TermineUebersichtController extends \Kufer\Web\KuferTools\Basis\KursUebersicht\TermineUebersicht\TermineUebersichtController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TermineUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return TermineUebersichtUseCase::getToolId();
  }

  protected function getDefaultRequestObj()
  {
    return new TermineUebersichtRequest();
  }

  protected function getSuchAPI()
  {
    return new \KursplanungKurstagSucheAPI();
  }

  protected function getRequestSearchName()
  {
    return 'searchkurstage';
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TermineUebersichtPresenter($pUseCaseResponse);
  }
}